- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- File List
- Globals

Macros | Typedefs | Enumerations | Functions
Eeze_Net.h File Reference

Network manipulation. More...

## Typedefs
typedef struct Eeze_Net | Eeze_Net

## Enumerations
enum | Eeze_Net_Addr_Type { EEZE_NET_ADDR_TYPE_IP, EEZE_NET_ADDR_TYPE_IP6, EEZE_NET_ADDR_TYPE_BROADCAST, EEZE_NET_ADDR_TYPE_BROADCAST6, EEZE_NET_ADDR_TYPE_NETMASK, EEZE_NET_ADDR_TYPE_NETMASK6 }

## Functions
Eeze_Net * | eeze_net_new (const char *name)
| Create a new net object. More...
void | eeze_net_free (Eeze_Net *net)
| Free a net object. More...
const char * | eeze_net_mac_get (Eeze_Net *net)
| Get the MAC address of a net object. More...
int | eeze_net_idx_get (Eeze_Net *net)
| Get the index of a net object. More...
Eina_Bool | eeze_net_scan (Eeze_Net *net)
| Scan an interface to cache its network addresses. More...
const char * | eeze_net_addr_get (Eeze_Net *net, Eeze_Net_Addr_Type type)
| Get the address of a net object. More...
const char * | eeze_net_attribute_get (Eeze_Net *net, const char *attr)
| Get a system attribute of a net object. More...
const char * | eeze_net_syspath_get (Eeze_Net *net)
| Get the /sys/ path of a net object. More...
Eina_List * | eeze_net_list (void)
| Get a list of all the network interfaces available. More...

## Detailed Description

Network manipulation.

Eeze net functions allow you to gather information about network objects